### Method

# EBackend CollectionBackend delete_resource

since: 3.6

#### Declaration [src]

    void
    e_collection_backend_delete_resource (
      ECollectionBackend* backend,
      ESource* source,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously deletes a server-side resource described by `source`. The `source` must be a child of `backend`‘s collection `EBackend:source`.

After the server-side resource is successfully deleted, the implementor must also remove `source` from the `backend`‘s `ECollectionBackend:server`. This can either be done immediately or in response to some “resource deleted” notification from the server.

When the operation is finished, `callback` will be called. You can then call `e_collection_backend_delete_resource_finish()` to get the result of the operation.

Available since: 3.6

This method completes asynchronously. Use `e_collection_backend_delete_resource_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.